# $Revision: 1.5 $, $Date: 2012/01/18 20:06:43 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTML
%define	pnam	Lint
Summary:	HTML::Lint - check for HTML errors in a string or file
Summary(pl.UTF-8):	HTML::Lint - sprawdzanie łańcucha lub pliku HTML pod kątem błędów
Name:		perl-HTML-Lint
Version:	2.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	17d364920349ee989242c5d660638a78
URL:		http://search.cpan.org/dist/HTML-Lint/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-Parser >= 3.20
BuildRequires:	perl-HTML-Tagset >= 3.03
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::Lint checks a string or file for HTML errors. It comes with
Test::More-style wrapper, Test::HTML::Lint.

%description -l pl.UTF-8
HTML::Lint sprawdza łańcuch znaków lub plik HTML pod kątem błędów.
Pakiet zawiera też moduł Test::HTML::Lint - wrapper w stylu
Test::More.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/weblint
%{perl_vendorlib}/HTML/*.pm
%{perl_vendorlib}/HTML/Lint
%dir %{perl_vendorlib}/Test/HTML
%{perl_vendorlib}/Test/HTML/Lint.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Lint.spec,v $
Revision 1.5  2012/01/18 20:06:43  zbyniu
- up to 2.10

Revision 1.4  2009/10/26 12:58:04  amateja
- added missing %dir in %files section
- release 2

Revision 1.3  2009/09/14 13:37:46  amateja
- updated to 2.06

Revision 1.2  2008/03/24 11:55:03  qboosh
- generic URL, pl, main description for HTML::Lint, not Test::HTML::Lint

Revision 1.1  2008-01-09 13:39:51  agaran
- initial, builds here, rel 1
